//
//  BoosterFeaturesView.swift
//
//
//  Created by Victor on 12/06/2024.
//

import SwiftUI

struct BoosterFeaturesView: View {
    var body: some View {
        VStack(alignment: .center, spacing: 24) {
            SQText("Boostez votre activité !", size: 32, font: .bold)
                .foregroundColor(.white)
            VStack(alignment: .center) {
                VStack(alignment: .leading) {
                    SQText("Votre profil est mis en avant:", font: .bold)
                        .foregroundColor(.white)
                    HStack {
                        SQIcon(.check, type: .solid, color: .white)
                        SQText("Affichage en tête de liste des résultats", font: .bold)
                            .foregroundColor(.white)
                    }
                    HStack {
                        SQIcon(.check, type: .solid, color: .white)
                        SQText("Badge “Profil boosté” à chaque affichage de votre profil", font: .bold)
                            .foregroundColor(.white)
                    }
                    HStack {
                        SQIcon(.check, type: .solid, color: .white)
                        SQText("Référencement boosté sur les moteurs de recherche", font: .bold)
                            .foregroundColor(.white)
                    }
                }
                NavigationLink {
                    BoosterKnowAboutScreen()
                } label: {
                    Text("En savoir plus")
                        .font(.sq(.medium, size: 13))
                        .underline()
                        .foregroundColor(.white)
                }
            }
        }
    }
}

#Preview {
    BoosterFeaturesView()
}
